# eric6.QScintilla.Lexers.LexerXML

Module implementing a XML lexer with some additional methods.

### Global Attributes

None

### Classes

LexerXML | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerXML

Subclass to implement some additional lexer dependant methods.

### Derived from

Lexer, QsciLexerXML

### Class Attributes

None

### Class Methods

None

### Methods

LexerXML | Constructor
defaultKeywords | Public method to get the default keywords.
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerXML (Constructor)

LexerXML(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerXML.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Returns:
  string giving the keywords (string) or None

#### LexerXML.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerXML.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

style
  style to check (integer)

Returns:
  flag indicating a comment style (boolean)

#### LexerXML.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

style
  style to check (integer)

Returns:
  flag indicating a string style (boolean)

Up